For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList events
      • POSTCreate an event
      • GETGet an event
      • POSTAcknowledge an event
      • GETGet subscription credentials
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEvents

Acknowledge an event

POST
https://api.x.flatfile.com/v1/events/:eventId/ack
POST
/v1/events/:eventId/ack
$curl -X POST https://api.x.flatfile.com/v1/events/eventId/ack \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Successful
1{
2 "data": {
3 "success": true
4 }
5}
Was this page helpful?
Previous

Get subscription credentials

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

eventIdstringRequired
The event id

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject